/*CSS Style from User-Permission-Template*/

.tab {
    margin-left: 40px;
}

#option_IncludeModifiedItemsInFilter {
    width: 16px;
    height: 16px;
}

table.tg th.user-header {
    height: 8em;
    max-width: 50px;
}

table.tg th .vertical {
    transform: rotate(-70deg);
    -moz-transform: rotate(-70deg);
    -o-transform: rotate(-70deg);
    -webkit-transform: rotate(-70deg);
    -ms-transform: rotate(-70deg);
}

table.tg th.user-header {
    cursor: pointer;
}

table.tg td.permissions-header {
    cursor: pointer;
    padding-left: 1em;
}


table.tg .access-group-header.families {
    color: #000041;
}

table.tg .cell {
    text-align: center;
    align-content: center;
    padding: .5em .8em;
}

table.tg .highlight {
    background-color: rgb(245, 245, 136) !important;
}

table.tg .cell div {
    margin: auto;
    width: 30px;
    border-radius: 8px;
    transition: background .5s;
}

table.tg .cell input {
    width: 15px;
    height: 15px;
    margin: 0 0 0 1px;
}

table.tg .fn-admin {
    background-color: rgb(242, 217, 217);
}

table.tg .client-admin {
    background-color: rgb(241, 236, 232);
}

#userFilter, #entityFilter {
    width: 90%;
    height: 1.2em;
    margin-bottom: 5px;
    font-family: 'open sans', sans-serif;
    font-size: 9pt;
}

button#previewChanges,
button#exitPreviewMode {
    display: none;
}

.blankPlaceholder {
    width: 0px;
}

#permissionsHeader {
    width: 576px;
}

.subTable {
    min-width: 100%;
}

#allCheckbox {
    display: inline-block;
    float: right;
    margin-top: 10px;
    margin-right: 10px;
}

#permissionHeaderBlock {
    background-color: #EEEEEE;
}

.access-group-header {
    height: 41px;
}

.sub-permission {
    height: 41px;
}

tr#permissionHeaderBlock {
    display: none;
}

tr.access-group-header h6 {
    font-size: 13px;
    font-weight: bold;
    cursor: pointer;
    padding-left: .5em;
    margin: 0
}

table.tg .cell, table.tg td {
    border-right: 1px solid #999 !important;
    border-left: 1px solid #999 !important;
    border-top: 1px solid #eee !important;
    padding: 5px;
}

table.tg tr.access-group-header td,
table.tg tr.access-group-header td.permission-section {
    border-top: 1px solid #999 !important;
}

tr#settings {
    border-bottom: 1px solid #999;
}

table.tg tr:last-child {
    border-bottom: 1px solid #999;
}

.permission-parent > td.entity-header {
    padding-left: 1.5em;
}

.sub-permission > td.entity-header {
    padding-left: 3.5em;
}

.tab {
    margin: 0 !important;
}

div.settings-widget {
    max-width: none;
}

table.tg th.user-header {
    cursor: pointer;
    text-align: center;
    padding: .4em;
    min-width: 4em
}

table.tg th b {
    font-size: 11px;
    font-weight: bold;
    text-transform: uppercase;
}

table.tg b {
    font-weight: normal;
    font-size: 13px;
}

table.tg .highlight {
    background-color: #DFEEFF !important;
}

table.tg .entity-header {
    height: 26px;
}

    table.tg .entity-header h6 {
        margin: 0;
    }

tr#transactions td:first-child,
tr#payees td:first-child,
tr#accounts td:first-child,
tr#investments td:first-child,
tr#reports td:first-child,
tr#dashboards td:first-child,
tr#entities td:first-child,
tr#webinvestments td:first-child,
tr#settings td:first-child {
    cursor: pointer;
}

tr#transactions td,
tr#payees td,
tr#accounts td,
tr#investments td,
tr#reports td,
tr#dashboards td,
tr#entities td,
tr#webinvestments td,
tr#settings td {
    border-top: 1px solid;
}

thead th.user-header {
    top: 0;
    position: sticky;
    z-index: 20;
    background-color: #E5E5E5;
    color: #000000;
}

.freeze-col {
    left: 0px;
    position: sticky;
    background-color: #E5E5E5;
}
